#ifndef APP_H_
#define APP_H_

#include <glib-object.h>

#define WPS_TYPE_APP			(wps_app_get_type())
#define WPS_APP(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), WPS_TYPE_APP, WPSApp))
#define WPS_APP_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), WPS_TYPE_APP, WPSApp))
#define WPS_IS_APP(obj)			(G_TYPE_CHECK_INSTANCE_TYPE ((obj), WPS_TYPE_APP))
#define WPS_IS_APP_CLASS(klass)		(G_TYPE_CHECK_CLASS_TYPE ((klass), WPS_TYPE_APP))
#define WPS_APP_GET_CLASS(obj)		(G_TYPE_INSTANCE_GET_CLASS ((obj), WPS_TYPE_APP, WPSApp))

struct _WPSApp
{
	GObject			parent_instance;
	GtkWidget		*win;
	GtkWidget		*vbox;
	GtkWidget		*menubar;
	GtkWidget		*toolbar;
	GtkWidget		*notebook;
	GtkWidget		*status_bar;
	GtkUIManager		*ui_manager;
	GList			*page_list;
	gpointer		current_page;
};

typedef struct _WPSApp       WPSApp;

struct _WPSAppClass
{
	GObjectClass parent_class;
	
};

typedef struct _WPSAppClass       WPSAppClass;

GType		wps_app_get_type();

#endif /*APP_H_*/
